curl --request GET \
--url 'https://api.coinstats.app/v1/news/376f390df50a1d44cb5593c9bff6faafabed18ee90e0d4d737d3b6d3eea50c80' \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.coinstats.app/v1/news/376f390df50a1d44cb5593c9bff6faafabed18ee90e0d4d737d3b6d3eea50c80"
headers = {"X-API-KEY": "<api-key>"}
response = requests.request("GET", url, headers=headers)
print(response.json())const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.coinstats.app/v1/news/376f390df50a1d44cb5593c9bff6faafabed18ee90e0d4d737d3b6d3eea50c80', options)
.then((response) => response.json())
.then((response) => console.log(response))
.catch((err) => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coinstats.app/v1/news/376f390df50a1d44cb5593c9bff6faafabed18ee90e0d4d737d3b6d3eea50c80",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.coinstats.app/v1/news/376f390df50a1d44cb5593c9bff6faafabed18ee90e0d4d737d3b6d3eea50c80"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coinstats.app/v1/news/376f390df50a1d44cb5593c9bff6faafabed18ee90e0d4d737d3b6d3eea50c80")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coinstats.app/v1/news/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "376f390df50a1d44cb5593c9bff6faafabed18ee90e0d4d737d3b6d3eea50c80",
"feedDate": 1756204736000,
"source": "CoinGape",
"title": "Why is XRP Price Down Even After the Ripple Lawsuit End?",
"isFeatured": false,
"link": "https://coingape.com/trending/why-is-xrp-price-down-even-after-the-ripple-lawsuit-end/?utm_medium=referral&utm_source=coinstats",
"sourceLink": "https://coingape.com/",
"imgUrl": "https://coingape.com/wp-content/uploads/2025/08/Why-is-XRP-Price-Down.webp",
"reactionsCount": {
"2": 13,
"3": 18
},
"reactions": [],
"shareURL": "https://coinstats.app/news/376f390df50a1d44cb5593c9bff6faafabed18ee90e0d4d737d3b6d3eea50c80_Why-is-XRP-Price-Down-Even-After-the-Ripple-Lawsuit-End",
"relatedCoins": [
"ripple",
"0xb9ce0dd29c91e02d4620f57a66700fc5e41d6d15_cronos"
],
"content": true,
"bigImg": false,
"searchKeyWords": [
"xrp",
"XRP"
],
"description": "coingape.com.",
"coins": [
{
"coinKeyWords": "XRP",
"coinPercent": -5.11,
"coinTitleKeyWords": "XRP",
"coinNameKeyWords": "XRP",
"coinIdKeyWords": "ripple"
},
{
"coinKeyWords": "XRP",
"coinPercent": -4.67,
"coinTitleKeyWords": "XRP",
"coinNameKeyWords": "XRP",
"coinIdKeyWords": "0xb9ce0dd29c91e02d4620f57a66700fc5e41d6d15_cronos"
}
]
}{
"statusCode": 400,
"message": "Bad Request",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 401,
"message": "Unauthorized",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 403,
"message": "Forbidden",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 404,
"message": "Not Found",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 409,
"message": "Transactions not synced",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 429,
"message": "Rate limit exceeded",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 503,
"message": "Service Unavailable. Please Contact Support"
}Get News By Id
Get a news article by id.
curl --request GET \
--url 'https://api.coinstats.app/v1/news/376f390df50a1d44cb5593c9bff6faafabed18ee90e0d4d737d3b6d3eea50c80' \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.coinstats.app/v1/news/376f390df50a1d44cb5593c9bff6faafabed18ee90e0d4d737d3b6d3eea50c80"
headers = {"X-API-KEY": "<api-key>"}
response = requests.request("GET", url, headers=headers)
print(response.json())const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.coinstats.app/v1/news/376f390df50a1d44cb5593c9bff6faafabed18ee90e0d4d737d3b6d3eea50c80', options)
.then((response) => response.json())
.then((response) => console.log(response))
.catch((err) => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coinstats.app/v1/news/376f390df50a1d44cb5593c9bff6faafabed18ee90e0d4d737d3b6d3eea50c80",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.coinstats.app/v1/news/376f390df50a1d44cb5593c9bff6faafabed18ee90e0d4d737d3b6d3eea50c80"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coinstats.app/v1/news/376f390df50a1d44cb5593c9bff6faafabed18ee90e0d4d737d3b6d3eea50c80")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coinstats.app/v1/news/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "376f390df50a1d44cb5593c9bff6faafabed18ee90e0d4d737d3b6d3eea50c80",
"feedDate": 1756204736000,
"source": "CoinGape",
"title": "Why is XRP Price Down Even After the Ripple Lawsuit End?",
"isFeatured": false,
"link": "https://coingape.com/trending/why-is-xrp-price-down-even-after-the-ripple-lawsuit-end/?utm_medium=referral&utm_source=coinstats",
"sourceLink": "https://coingape.com/",
"imgUrl": "https://coingape.com/wp-content/uploads/2025/08/Why-is-XRP-Price-Down.webp",
"reactionsCount": {
"2": 13,
"3": 18
},
"reactions": [],
"shareURL": "https://coinstats.app/news/376f390df50a1d44cb5593c9bff6faafabed18ee90e0d4d737d3b6d3eea50c80_Why-is-XRP-Price-Down-Even-After-the-Ripple-Lawsuit-End",
"relatedCoins": [
"ripple",
"0xb9ce0dd29c91e02d4620f57a66700fc5e41d6d15_cronos"
],
"content": true,
"bigImg": false,
"searchKeyWords": [
"xrp",
"XRP"
],
"description": "coingape.com.",
"coins": [
{
"coinKeyWords": "XRP",
"coinPercent": -5.11,
"coinTitleKeyWords": "XRP",
"coinNameKeyWords": "XRP",
"coinIdKeyWords": "ripple"
},
{
"coinKeyWords": "XRP",
"coinPercent": -4.67,
"coinTitleKeyWords": "XRP",
"coinNameKeyWords": "XRP",
"coinIdKeyWords": "0xb9ce0dd29c91e02d4620f57a66700fc5e41d6d15_cronos"
}
]
}{
"statusCode": 400,
"message": "Bad Request",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 401,
"message": "Unauthorized",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 403,
"message": "Forbidden",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 404,
"message": "Not Found",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 409,
"message": "Transactions not synced",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 429,
"message": "Rate limit exceeded",
"requestId": "11111111-2222-3333-4444-555555555555",
"path": "<requested-endpoint>"
}{
"statusCode": 503,
"message": "Service Unavailable. Please Contact Support"
}Required
Required
- id: Path parameter. Identifier of the news item.
Authorizations
API key required to access the endpoints. Generate one from your dashboard at https://openapi.coinstats.app and pass it in the X-API-KEY request header. Never expose your key in client-side code.
Path Parameters
The id of the news to get
"376f390df50a1d44cb5593c9bff6faafabed18ee90e0d4d737d3b6d3eea50c80"
Response
Get news by id
Unique identifier for the news feed item
"376f390df50a1d44cb5593c9bff6faafabed18ee90e0d4d737d3b6d3eea50c80"
Unix timestamp (in milliseconds) when the news was published
1756204736000
Name of the news source/publication
"CoinGape"
Title of the news article
"Why is XRP Price Down Even After the Ripple Lawsuit End?"
Whether this news item is featured/highlighted
false
Direct link to the full news article
"https://coingape.com/trending/why-is-xrp-price-down-even-after-the-ripple-lawsuit-end/?utm_medium=referral&utm_source=coinstats"
URL of the news source website
"https://coingape.com/"
URL of the article image
"https://coingape.com/wp-content/uploads/2025/08/Why-is-XRP-Price-Down.webp"
Count of different reaction types on this news item, where keys are reaction type IDs and values are counts
Show child attributes
Show child attributes
{ "2": 13, "3": 18 }
Array of reaction identifiers for this news item
[]
Shareable URL for this news item on CoinStats platform
"https://coinstats.app/news/376f390df50a1d44cb5593c9bff6faafabed18ee90e0d4d737d3b6d3eea50c80_Why-is-XRP-Price-Down-Even-After-the-Ripple-Lawsuit-End"
Array of cryptocurrency identifiers related to this news
[
"ripple",
"0xb9ce0dd29c91e02d4620f57a66700fc5e41d6d15_cronos"
]
Whether the full content of the article is available
true
Whether this news item should display with a large image format
false
Array of search keywords associated with this news item
["xrp", "XRP"]
Brief description or summary of the news article
"coingape.com."
Cryptocurrency data associated with this news
[
{
"coinKeyWords": "XRP",
"coinPercent": -5.11,
"coinTitleKeyWords": "XRP",
"coinNameKeyWords": "XRP",
"coinIdKeyWords": "ripple"
},
{
"coinKeyWords": "XRP",
"coinPercent": -4.67,
"coinTitleKeyWords": "XRP",
"coinNameKeyWords": "XRP",
"coinIdKeyWords": "0xb9ce0dd29c91e02d4620f57a66700fc5e41d6d15_cronos"
}
]
Was this page helpful?